मुख्य सामग्री पर जाएं
GET
/
2
/
users
/
{id}
/
pinned_lists
पिन की गई सूचियाँ प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/users/{id}/pinned_lists \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1146654567674912769",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "follower_count": 123,
      "member_count": 123,
      "owner_id": "2244994945",
      "private": true
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  },
  "meta": {
    "result_count": 123
  }
}

प्राधिकरण

Authorization
string
header
आवश्यक

The access token received from the authorization server in the OAuth 2.0 flow.

पथ पैरामीटर

id
string
आवश्यक

उस प्रमाणीकृत स्रोत उपयोगकर्ता की ID, जिसके लिए परिणाम लौटाने हैं। इस उपयोगकर्ता का विशिष्ट पहचानकर्ता। इसका मान प्रमाणित उपयोगकर्ता के समान होना चाहिए।

उदाहरण:

"2244994945"

क्वेरी पैरामीटर

list.fields
enum<string>[]

प्रदर्शित करने के लिए सूची फ़ील्ड्स की अल्पविराम-से-पृथक सूची। सूची ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
created_at,
description,
follower_count,
id,
member_count,
name,
owner_id,
private
उदाहरण:
[
"created_at",
"description",
"follower_count",
"id",
"member_count",
"name",
"owner_id",
"private"
]
expansions
enum<string>[]

विस्तारित करने के लिए फ़ील्ड्स की अल्पविराम-से-पृथक सूची। सूची ऑब्जेक्ट के लिए उन फ़ील्ड्स की सूची जिन्हें आप विस्तारित कर सकते हैं। यदि किसी फ़ील्ड में ID है, तो उसे पूर्ण ऑब्जेक्ट में विस्तारित किया जा सकता है।

Minimum array length: 1
उपलब्ध विकल्प:
owner_id
उदाहरण:
["owner_id"]
user.fields
enum<string>[]

दिखाने के लिए User फ़ील्ड्स की अल्पविराम से अलग की गई सूची। User ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
उदाहरण:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]

प्रतिक्रिया

अनुरोध सफल रहा।

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।

includes
object
meta
object